[aida] Which Monticello to use?

Janko Mivšek janko.mivsek at eranova.si
Mon Jul 14 10:40:01 CEST 2008


nico wrote:

>> Is there any new Monticello version control system on Squeak which deals 
>> with overrides appropriately? 1.5? 2.0?

> There are some monkey patches in Aida that should be removed IMHO. I'm
> not sure if MC2 will deal with it anyway.

It seems that it will. Follow discussion on squeak-dev! Overrides (aka 
monkey patching) are otherwise very nice feature, if you know how to use 
it and are aware of consequences. I'm using overrides on VisualWorks for 
years without much problems.

>> I just published Aida and again incorrectly because some methods are 
>> overridden in extensions of another package.

> Did you fix it?

No, because I don't know how. I need to have a special image for fixing 
that, it seems. I cannot fix in image where a package with those 
overrides exist. Other possibility would be to temporary remove 
SqueakSite package, but this image is live demo, so this won't go at all.

Maybe an upgrade of our repository to at least MC 1.5 is to be 
considered soon? It seems that Pharo guys already working on that.

Best regards
JAnko

-- 
Janko Mivšek
AIDA/Web
Smalltalk Web Application Server
http://www.aidaweb.si


More information about the Aida mailing list